# Uses of Enum Class
java.lang.classfile.Opcode.Kind

Packages that use Opcode.Kind
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of Opcode.Kind in java.lang.classfile

Subclasses with type arguments of type Opcode.Kind in java.lang.classfile
Modifier and Type
Class
Description
`static enum`
`Opcode.Kind`
Kinds of opcodes.
Methods in java.lang.classfile that return Opcode.Kind
Modifier and Type
Method
Description
`Opcode.Kind`
Opcode.`kind()`
Returns operation kind.
`static Opcode.Kind`
Opcode.Kind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Opcode.Kind[]`
Opcode.Kind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.